ETHER_REFLECT(1)

NAME
ether_reflect - reflect ethernet packets

SYNOPSIS
ether_reflect [-a ethernet address] [-e ethertype] [-i interface] [-t timeout] [-p] [-d]

DESCRIPTION
The ether_reflect command implements a simple ethernet packet reflector using the PCAP(3) library and bpf(4), the Berkeley Packet Filter. The program is useful primarily to test the low level round trip time of packets through an Ethernet interface and/or a switch. Network protocols, such as IP, and the network stack in general are never invoked, only the device driver that implements the particular interface is executed. As the ether_reflect command uses the bpf(4) device the user must have root privileges to execute this program.

The options are as follows:

-a address
    Instead of reversing the ethernet destination and source addresses supply a different destination ethernet address for each packet received.

-e ether type
    Use a different ethertype than the default, 0x8822, which is the IEEE ether type for driver testing.

-i interface
    Network interface, which can be found with ifconfig(1).

-t timeout
    The time, in milliseconds, to wait for a packet. Lower times decrease latency at the cost of CPU.

-p  Set the device into promiscuous mode before testing. This is not usually necessary.

-d  Debug output. Print various small pieces of debug information.

EXAMPLES
The following is an example of a typical usage of the ether_reflect command:

    ether_reflect -i em0 -t 1

Reflect all test packets, those with an ether type of 0x8822, which are seen on ineterface em0. The timeout is 1 millisecond.

    ether_reflect -i em0 -a 00:00:00:aa:bb:cc -t 1

Rewrite the destination address in each packet to 00:00:00:aa:bb:cc before reflecting the packet.

SEE ALSO
ifconfig(8), tcpdump(1), pcap(4), bpf(2).

HISTORY
The ether_reflect program first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by George V. Neville-Neil <gnn@FreeBSD.org>.

BUGS
Should be reported to the author or to net@FreeBSD.org.